<% if current_organization.extra_user_fields_enabled? %>
  <div class="new-proposal-form foreign-form">
    <div class="submit-foreign-form-content">
      <h3><%= t(".signup.legend") %></h3>
    </div>
    <% if current_organization.activated_extra_field?(:date_of_birth) %>
      <div class="br-input input-highlight bp-input">
        <%= f.date_field :date_of_birth, placeholder: "dd/mm/aaaa" %>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:gender) %>
      <div class="bp-select input-highlight">
        <%= f.collection_select :gender, f.object.gender_options_for_select, :first, :last, prompt: "Select your gender" %>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:country) %>
      <div class="bp-select input-highlight">
        <%= f.custom_country_select :country, placeholder: "Select your country", id: "registration_user_country" %>
        <div class="br-message info" id="br-warning" style="overflow: hidden; padding: 0px; margin: 0; max-height: 0px; transition: max-height 0.4s ease-out;">
          <div class="content" aria-label="Information. Your data will only be saved after filling in the first field of the form." role="alert">
            <span class="message-title">Cadastros de usuários brasileiros</span>
            <span class="message-body">
              <p class="mb-2">É feito por meio do gov.br, para fazê-lo clique aqui:</p>
              <%= render "decidim/devise/shared/omniauth_buttons" %>
            </span>
          </div>
        </div>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:postal_code) %>
      <div class="br-input input-highlight bp-input">
        <%= f.text_field :postal_code , placeholder: "Zip Code" %>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:phone_number) %>
      <div class="br-input input-highlight bp-input">
        <%= f.text_field :phone_number, placeholder: "Phone number" %>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:location) %>
      <div class="br-input input-highlight bp-input">
        <%= f.text_field :location, placeholder: "Location" %>
      </div>
    <% end %>
    <%# Block ExtraUserFields SignUpFormFields %>
    <% if current_organization.activated_extra_field?(:document_type) %>
      <div class="bp-select input-highlight">
        <%= f.collection_select :document_type, f.object.document_type_options_for_select, :first, :last, prompt: "Select your document type" %>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:document_number) %>
      <div class="br-input input-highlight bp-input">
        <%= f.text_field :document_number, placeholder: "Document number" %>
        <p class="text-base mt-0">Please enter your document number for the selected document type. This information helps us verify your identity and ensure a smooth process.</p>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:selfie_image) %>
      <div class="field face-file-field">
        <a class="face-validation-field_toggle-help" title="open help">
        </a>
        <div class="face-validation-field_help" hidden>
          <a class="face-validation-field_toggle-help" title="close help">
            <i class="fa fa-xmark"></i>
          </a>
        </div>
        <div class="faceid-container">
          <span>
            <div class="br-upload">
              <%= f.file_field :selfie_image, id: "selfie-image", class: "upload-input", multiple: false, direct_upload: false, aria: { hidden: "null", label: "" } %>
              <div class="upload-list"></div>
            </div>
            <p class="text-base mt-1">Click or drag files onto the Upload component.</p>
            <p class="text-base mt-1">Please take a clear photo with a white background, make sure your face and identification document are fully visible. Avoid wearing glasses, use good lighting, and ensure the photo is high quality.</p>
            <span class="form-error document-form-error" hidden>
              <%= t("decidim.extra_user_fields.registration_form.document_valid.error_text")%>
            </span>
          </span>
          <i class="fa fa-circle-question fa-3x"id="toggle-button"></i>
        </div>
        <div class="br-message info" id="expandable-div" style="overflow: hidden; padding: 20px; margin: 0; max-height: 450px; transition: max-height 0.4s ease-out;">
          <div class="content" aria-label="Informação. Seus dados só serão salvos após o preenchimento do primeiro campo do formulário." role="alert">
            <span class="message-title"><%= t("decidim.extra_user_fields.registration_form.document_valid.help_title")%></span>
            <span class="message-body">
              <p class="mb-2"><%= t("decidim.extra_user_fields.registration_form.document_valid.help_text") %></p>
              <img src="<%= asset_pack_path('media/images/selfie_id_help.png') %>">
            </span>
          </div>
        </div>
      </div>
    <% end %>
    <% if current_organization.activated_extra_field?(:document_image) %>
      <span>
        <div class="br-upload">
          <%= f.file_field :document_image, id: "document-image", class: "upload-input", multiple: false, direct_upload: false, aria: { hidden: "null", label: "" } %>
          <div class="upload-list"></div>
        </div>
        <p class="text-base mt-1">Click or drag files onto the Upload component.</p>
        <p class="text-base mt-1">Please upload a clear photo of your Passaport, DNI or RNE. Make sure all details are easy to read and the image isn't blurry or covered.</p>
      </span>
    <% end %>
    <% if current_organization.activated_extra_field?(:document_valid) %>
      <%= javascript_pack_tag "extra_user_fields" %>
      <div class="face-validation-field">
        <div class="field" hidden>
          <%= f.text_field :document_valid %>
        </div>
        <div class="face-validation-field-box">
          <canvas class="face-validation-field__canvas" hidden></canvas>
          <img class="face-validation-field__img" hidden/>
        </div>
      </div>
    <% end %>
    <%# EndBlock %>
  </div>
<% end %>
<% content_for :js_content do %>
  <script>
    $(document).ready(function() {
      $('#user_document_image_button').append('<i class="fas fa-cloud-arrow-up"></i>');
    });

    document.addEventListener("DOMContentLoaded", function() {
      const document_number_form = document.getElementById('registration_user_document_number')
      if (document_number_form) {
        document_number_form.addEventListener('input', function(e) {
          this.value = this.value.toUpperCase().replace(/[^A-Z0-9]/g, '');
        });
      }

      const uploadButtons = document.querySelectorAll('.upload-button span');
      uploadButtons.forEach(function(button) {
        if (button && button.textContent.trim() === "Selecione o arquivo") {
          button.textContent = "Select the file";
        }
      });
      const dateInput = document.getElementById('registration_user_date_of_birth');

      if (dateInput) {
        dateInput.addEventListener('input', function(e) {
          let value = dateInput.value.replace(/\D/g, '');
          if (value.length > 8) {
            value = value.slice(0, 8);
          }

          if (value.length > 4) {
            value = value.replace(/(\d{2})(\d{2})(\d+)/, '$1/$2/$3');
          } else if (value.length > 2) {
            value = value.replace(/(\d{2})(\d+)/, '$1/$2');
          }

          dateInput.value = value;
        });
      }
      document.getElementById('toggle-button').addEventListener('click', function() {
        var expandableDiv = document.getElementById('expandable-div');

        if (expandableDiv.style.maxHeight === '0px' || expandableDiv.style.maxHeight === '') {
          expandableDiv.style.maxHeight = '450px';
          expandableDiv.style.padding = '20px';
        } else {
          expandableDiv.style.maxHeight = '0px';
          expandableDiv.style.padding = '0px';
        }
      });

      const countryInput = document.getElementById('registration_user_country');
      const expandableDiv = document.getElementById('br-warning');

      const submitButton = Array.from(document.querySelectorAll('.br-button.block.primary'))
    .filter(button => button.textContent.trim() === 'Sign up');

      if (countryInput && expandableDiv) {
        countryInput.addEventListener('change', function() {
          let value = countryInput.value;

          if (value === "BR") {
            expandableDiv.style.maxHeight = '450px';
            expandableDiv.style.padding = '20px';
            expandableDiv.style.marginTop = '8px';

            if (submitButton.length > 0) {
              submitButton[0].disabled = true;
            }

          } else {
            expandableDiv.style.maxHeight = '0px';
            expandableDiv.style.padding = '0px';
            expandableDiv.style.marginTop = '0px';

            if (submitButton.length > 0) {
              submitButton[0].disabled = false;
            }
          }
        });
      }

    });
  </script>
<% end %>
<style>
.faceid-container {
  display: flex;
  gap: 10px;
  align-items: center;

  span {
    flex: 1;
  }

  #toggle-button {
    margin-top: 40px;
    color: var(--blue-warm-vivid-70);
    cursor: pointer;
  }
  #toggle-button:hover {
    color: var(--blue-warm-vivid-60);
    cursor: pointer;
  }
}
</style>
